 function [tep_min]=elektrokardiogram_fce(EKG)

f_vzorkovaci = 1000;        % vzorkovaci frekvence


%% odstranění driftu 
f_m = 25;
EKG_DP=EKG;
         
K = f_vzorkovaci/f_m;

b = ones(1, K);
a = K;
y = filtfilt(b, a, EKG_DP);

EKG_DP = EKG_DP - y;
  
%% Umocnění signálu a detekce nad hranicí 500 000
EKG_nadruhou=EKG_DP.^2;
    
EKG_nadruhou(EKG_nadruhou<500000)=500000;  

EKG_nadruhou = filtfilt(b, a, EKG_nadruhou);

[X_tep,Y_tep]=findpeaks(EKG_nadruhou,'MinPeakDistance',251);  % Detekce R s minimální vzdáleností 250ms

%%

tep_min=(length(X_tep)/(length(EKG)/1000))*60;  % zjištění tepové frekvence
